<mat-sidenav-container>
  <mat-sidenav #sidenav mode="push" [(opened)]="opened">
    <div
      class="side-item-0"
      routerLink="/home"
      
    >
      <mat-icon class="side-text">home</mat-icon>หน้าแรก
    </div>
    <div class="side"></div>
    <div
      style="font-size: 14px; margin-left: 16px;color: rgb(105, 104, 104);width: 95%;
        height: 6%;
        padding-top: 4%;"
    >
      รายวิชาของฉัน
    </div>
    <div
      class="side-item-1"
      *ngFor="let subject of subjects_new"
      (click)="onGoTo(subject)"
      [class.selected]="sub === selectSubject"
    >
    <div *ngIf="classRoom.name!=subject.subject_name">
      <mat-icon class="side-text">list_alt</mat-icon> {{ subject.subject_name }}
    <div style="margin-left: 95px;">กลุ่ม {{ subject.group }}</div>
    </div>
    
    <div  *ngIf="classRoom.name==subject.subject_name" style="background-color: rgba(196, 193, 193, 0.568); border-radius: 0px 50px 50px 0px;">
      <mat-icon class="side-text">list_alt</mat-icon> {{ subject.subject_name }}
    <div style="margin-left: 95px;">กลุ่ม {{ subject.group }}</div>
    </div>
    </div>
    <div class="side"></div>
    <div class="side-item-0" routerLink="/homeStore">
      <mat-icon class="side-text">move_to_inbox</mat-icon>ชั้นเรียนที่เก็บ
    </div>
    <div class="side"></div>
  </mat-sidenav>
  <mat-sidenav-content>
    <mat-toolbar color="primary" style=" font-family: 'Kanit', sans-serif;">
      <mat-toolbar-row style="height: 75px;">
        <button mat-icon-button style="margin-right: 20px;">
          <mat-icon (click)="opened = !opened">menu</mat-icon>
        </button>

        <div style="display:block;margin-right: 18px;">
          <div
            style="cursor:pointer; font-family: 'Kanit', sans-serif;;font-size: 18px;"
            routerLink="/listCheck"
          >
            {{ classRoom.name }} {{ classRoom.detail }}
          </div>
          <div
            style="cursor:pointer; font-family: 'Kanit', sans-serif;;font-size: 18px;"
            routerLink="/listCheck"
          >
            กลุ่ม {{ classRoom.group }}
          </div>
        </div>

        <div class="tab-center">
          <nav
            mat-tab-nav-bar
            mat-align-tabs="center"
            backgroundColor="primary"
          >
            <a
              mat-tab-link
              *ngFor="let link of links; index as i"
              class="tab-check"
              [routerLink]="['/' + link]"
              routerLinkActive
              #rla="routerLinkActive"
              [active]="rla.isActive"
            >
              {{ menus[i] }}
            </a>
          </nav>
        </div>

        <span class="example-spacer"></span>
        <img class="example-icon" [src]="imageUrl" />
        <button
          mat-icon-button
          [matMenuTriggerFor]="menu"
          aria-label="Example icon-button with a menu"
        >
          <mat-icon>arrow_drop_down</mat-icon>
        </button>
        <mat-menu #menu="matMenu">
          <button mat-menu-item (click)="onProfile()">
            <mat-icon>account_circle</mat-icon>
            <span>บัญชีผู้ใช้</span>
          </button>
          <button mat-menu-item (click)="onLogout()">
            <mat-icon>exit_to_app</mat-icon>
            <span>ออกจากระบบ</span>
          </button>
        </mat-menu>
      </mat-toolbar-row>
    </mat-toolbar>
    <div class="row">
      <div class="column" style="width:50%; display:flex;">
        <div class="side-item fontSize topic">
          <img src="../../assets/img/icons/icon-chart.png" style="margin-right: 10px;">
          ผลการรายงาน
        </div>
      </div>
      <div class="column1" style="width:50%;display:flex;">
        <mat-form-field appearance="outline" class="search">
          <mat-label>Search</mat-label>
          <input matInput (keyup)="applyFilter($event.target.value)" />
          <mat-icon matSuffix class="fontSize">search</mat-icon>
        </mat-form-field>
      </div>
    </div>
    <div class="side"></div>
    <br />
    <table
      mat-table
      [dataSource]="dataSource"
      matSort
      class="mat-elevation-z1"
      style="width: 95%;margin: auto;"
    >
      <ng-container
        [matColumnDef]="column"
        *ngFor="let column of displayedColumns; index as i"
        class="table-head"
      >
        <th
          mat-header-cell
          *matHeaderCellDef
          mat-sort-header
          class="table-head"
          style="text-align: left;"
        >
          <div *ngIf="column == 'id'">ลำดับ</div>
          <div *ngIf="column == 'username'">รหัสผู้ใช้</div>
          <div *ngIf="column == 'name'">ชื่อ-นามสกุล</div>
          <div
            *ngIf="column != 'id' && column != 'username' && column != 'name'"
          >
            {{column.substring(0,column.length-1)}}
            <br />
            <div>{{ type[i] }}</div>
          </div>
        </th>
        <td mat-cell *matCellDef="let element" class="table-list">
          <div
            *ngIf="column == 'id' || column == 'username' || column == 'name'"
            (click)="get(element.statusCheck)"
          >
            {{ element[column] }}
          </div>
          <div
            *ngIf="column != 'id' && column != 'username' && column != 'name'"
          >
            <div *ngFor="let status of element.statusCheck; index as i">
              <div *ngIf="status.name == column">
                <div
                  *ngIf="
                    status.status == 'ลากิจ' ||
                    status.status == 'ลาป่วย' ||
                    status.status == 'ไม่ส่งใบลา'
                  "
                  style="color: red;"
                >
                  {{ status.status }}
                </div>
                <div
                  *ngIf="
                    status.status != 'ลากิจ' &&
                    status.status != 'ลาป่วย' &&
                    status.status != 'ไม่ส่งใบลา'
                  "
                >
                  {{ status.status }}
                </div>
              </div>
            </div>
          </div>
        </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
    </table>
  </mat-sidenav-content>
</mat-sidenav-container>
